package com.iamberry.wechat.core.entity.channel;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  渠道关注二维码统计类
 * @author Administrator
 * @Date 2018-11-27
 */
public class AttenStatistics  implements  Serializable{
    //id
    private Integer attenStatisticsId;
    //渠道id
    private Integer channelId;
    //返利渠道类型 1:主渠道 2:子渠道
    private Integer channelType;
    //关注人的Openid
    private String attenStatisticsOpenId;
    //状态 1：关注
    private Integer attenStatisticsStatus;
    //创建时间'
    private Date attenStatisticsCreateTime;

    public Integer getAttenStatisticsId(){
        return attenStatisticsId;
    }

    public void setAttenStatisticsId(Integer  attenStatisticsId){
        this.attenStatisticsId=attenStatisticsId;
    }

    public Integer getChannelId(){
        return channelId;
    }

    public void setChannelId(Integer  channelId){
        this.channelId=channelId;
    }

    public Integer getChannelType(){
        return channelType;
    }

    public void setChannelType(Integer  channelType){
        this.channelType=channelType;
    }

    public String getAttenStatisticsOpenId(){
        return attenStatisticsOpenId;
    }

    public void setAttenStatisticsOpenId(String  attenStatisticsOpenId){
        this.attenStatisticsOpenId=attenStatisticsOpenId;
    }

    public Integer getAttenStatisticsStatus(){
        return attenStatisticsStatus;
    }

    public void setAttenStatisticsStatus(Integer  attenStatisticsStatus){
        this.attenStatisticsStatus=attenStatisticsStatus;
    }

    public Date getAttenStatisticsCreateTime(){
        return attenStatisticsCreateTime;
    }

    public void setAttenStatisticsCreateTime(Date  attenStatisticsCreateTime){
        this.attenStatisticsCreateTime=attenStatisticsCreateTime;
    }
}